Bug 375671 - virt-manager does not load
virt-manager does not load
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 05:26 EST by Brennan Ashton
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 14:53:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trace of python script (1.77 KB, text/plain)
2007-11-11 05:26 EST, Brennan Ashton
no flags Details

  None (edit)
Description Brennan Ashton 2007-11-11 05:26:07 EST
Description of problem:
When run it prompts for root password, and dies. From command line no
information is given, just exits

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Run virt-manager
2.
3.
  
Actual results:
closes

Expected results:
opens

Additional info:
I have added a trace to the virt-manager python script, the output is shown in
attachment
Comment 1 Brennan Ashton 2007-11-11 05:26:07 EST
Created attachment 254351 [details]
trace of python script
Comment 2 Daniel Berrange 2007-11-11 07:25:23 EST
Please run /usr/bin/virt-manager --no-fork and then provide the file
/root/.virt-manager/virt-manager.log  and any errors listed on the console
Comment 3 Brennan Ashton 2007-11-11 14:43:31 EST
Console
[root@localhost ~]# /usr/bin/virt-manager --no-fork
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 294, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager.py", line 236, in main
    from virtManager.engine import vmmEngine
  File "/usr/share/virt-manager/virtManager/engine.py", line 33, in <module>
    from virtManager.console import vmmConsole
  File "/usr/share/virt-manager/virtManager/console.py", line 28, in <module>
    import gtkvnc
ImportError: libgtk-vnc-1.0.so.0: cannot open shared object file: No such file
or directory

LOG

[Sun, 11 Nov 2007 11:40:58 virt-manager 32441] INFO (virt-manager:124)
Application startup
[Sun, 11 Nov 2007 11:40:58 virt-manager 32441] ERROR (virt-manager:296)
libgtk-vnc-1.0.so.0: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 294, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager.py", line 236, in main
    from virtManager.engine import vmmEngine
  File "/usr/share/virt-manager/virtManager/engine.py", line 33, in <module>
    from virtManager.console import vmmConsole
  File "/usr/share/virt-manager/virtManager/console.py", line 28, in <module>
    import gtkvnc
ImportError: libgtk-vnc-1.0.so.0: cannot open shared object file: No such file
or directory
Comment 4 Brennan Ashton 2007-11-11 14:51:27 EST
yum did not install the dep  gtk-vnc works correctly now
Comment 5 Daniel Berrange 2007-11-11 14:53:08 EST
God knows why, but this error message indicates you've not got the GTK-VNC
package installed. Please make sure you have

  gtk-vnc
  gtk-vnc-python

Installed using YUM. This should be automatically pulled in by the virt-manager
RPM dependancies...

Note You need to log in before you can comment on or make changes to this bug.